﻿$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$shortcutPath = "$ENV:UserProfile\Desktop\Space Radar.lnk"
$installLocation = "$ENV:LocalAppData\Programs\SpaceRadar-win32-x64"
$url        = 'https://github.com/zz85/space-radar/releases/download/v5.1.0/SpaceRadar-win32-x64.zip' # download url, HTTPS preferred
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = "$ENV:LocalAppData\Programs"
  url           = $url
  softwareName  = 'spaceradar*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = '80BCA57C1C74A0B7468C20D7A4ADE733'
  checksumType  = 'md5' #default is md5, can also be sha1, sha256 or sha512
}
Install-ChocolateyZipPackage @packageArgs # https://chocolatey.org/docs/helpers-install-chocolatey-zip-package

Install-ChocolateyShortcut `
  -ShortcutFilePath "$shortcutPath" `
  -TargetPath "$installLocation\SpaceRadar.exe" `
  -IconLocation "$installLocation\SpaceRadar.exe" `
  -WorkingDirectory "$installLocation"
